问题
秀政 王 · 四月 19

SQLServer网关配置出错

使用SQLServer2008进行网关连接,驱动名,URL和jar包地址都正确,出现服务器版本不支持的问题

 

$ZV: Cache for Windows (x86-64) 2018.1 (Build 184U) Wed Sep 19 2018 09:09:22 EDT [HealthShare Modules:Core:15.032.1010 + Linkage Engine:15.032.1010]
00
2 0 4 31
Log in or sign up to continue

可以做以下尝试:

  • 使用Microsoft 官网下载的SQL server 2008 的jdbc驱动测试是否问题复现
  • 使用纯 java/.net 代码 或三方工具调用该jdbc驱动访问sql server,测试是否jdbc可用
  • 目标服务器防火墙中相关端口是否可用

如果以上都没有问题,可以参考文档 https://docs.intersystems.com/irislatest/csp/docbook/DocBook.UI.Page.cls...,里面关于JDBC Log部分的章节,收集Log 信息,以进一步确认问题的原因。

使用正确的jar包驱动,还是显示服务器不支持版本是为什么?

我使用了最官网的jar包,还是没有效果,想问问为什么会报服务器版本低的错误,明明是2008版的jar包和驱动

使用其他三方工具使用这个jdbc连接sqlserver2008 有问题吗?

目标服务器是不是还装有其他低版本的sqlserver, sqlserver2008 使用的是1433端口吗?

最后还是建议参照上面的连接,收集jdbc log,之后把这个日志发给我们, 会给出详细分析。